ITER_FILE_SPLICE_WRI(9)

NAME
iter_file_splice_write - splice data from a pipe to a file

SYNOPSIS

ssize_t iter_file_splice_write(struct pipe_inode_info * pipe, struct file * out, loff_t * ppos, size_t len, unsigned int flags);

ARGUMENTS

pipe
    pipe info

out
    file to write to

ppos
    position in out

len
    number of bytes to splice

flags
    splice modifier flags

DESCRIPTION

Will either move or copy pages (determined by flags options) from the given pipe inode to the given file. This one is ->write_iter-based.

COPYRIGHT